%define program_name mod_rpaf
%define program_version	0.5
%define program_release	alt3

Name: apache2-%program_name
Version: %program_version
Release: %program_release
Summary: Apache 2.x module for reverse proxy add forward
License: GPL
Url: http://stderr.net/apache/rpaf/
Group: System/Servers
Packager: L.A. Kostis <lakostis@altlinux.ru>

Source0: %program_name-%program_version.tar
Source1: apache2-%program_name-load.conf.in
Source2: apache2-%program_name.conf

Patch0: mod_rpaf-0.5-register.patch
Patch1: mod_rpaf-0.5-realip.patch

PreReq: apache2 >= %apache_version-%apache_release

# Automatically added by buildreq on Sun Feb 18 2007
BuildRequires(pre): apache2-devel

%description
rpaf changes the remote address of the client visible to other Apache modules
when two conditions are satisfied. First condition is that the remote client is
actually a proxy that is defined in httpd.conf. Secondly if there is an
incoming X-Forwarded-For header and the proxy is in it's list of known proxies
it takes the last IP from the incoming X-Forwarded-For header and changes the
remote address of the client in the request structure. It also takes the
incoming X-Host header and updates the virtualhost settings accordingly. For
Apache2 mod_proxy it takes the X-Forwared-Host header and updates the
virtualhosts

%prep
%setup -q -n %{program_name}-%program_version
%patch0 -p1
%patch1 -p1

%build
cp -af mod_rpaf-2.0.c mod_rpaf.c
%apache_apxs -c -n mod_rpaf.o mod_rpaf.c

%install
mkdir -p %buildroot/{%apache_moduledir,%a_mods_available}

%__install -p -m 0644 %SOURCE1 %buildroot%a_mods_available/%program_name.load
%__subst 's,@libdir@,%_libdir,' %buildroot%a_mods_available/%program_name.load
%__install -p -m 0644 %SOURCE2 %buildroot%a_mods_available/%program_name.conf
%__install -p -m 0755 .libs/*.so %buildroot%apache_moduledir/mod_rpaf.so

%files
%a_mods_available/%program_name.load
%apache_moduledir/mod_rpaf.so
%config(noreplace) %a_mods_available/%program_name.conf
%doc CHANGES README

%changelog
* Mon May 14 2007 L.A. Kostis <lakostis@altlinux.ru> 0.5-alt3
- fix build for new apache2.
- rename register patch to 0.5.

* Mon Mar 19 2007 L.A. Kostis <lakostis@altlinux.ru> 0.5-alt2
- x86_64 fix (closes #11145).

* Thu Mar 08 2007 L.A. Kostis <lakostis@altlinux.ru> 0.5-alt1
- Add X-Real-IP header detection.
- Initial build for ALTLinux.

